Eclipse Rich Ajax Platform

## org.eclipse.swt.accessibility
Class AccessibleTextExtendedAdapter

    java.lang.Object
      org.eclipse.swt.accessibility.AccessibleTextAdapter
          org.eclipse.swt.accessibility.AccessibleTextExtendedAdapter

All Implemented Interfaces:
  AccessibleTextExtendedListener, AccessibleTextListener

    public class AccessibleTextExtendedAdapter

extends AccessibleTextAdapter
implements AccessibleTextExtendedListener

This adapter class provides default implementations for the methods in the `AccessibleTextExtendedListener` interface.

Classes that wish to deal with `AccessibleTextExtended` events can extend this class and override only the methods that they are interested in.

Since:
  1.4
See Also:
  `AccessibleTextExtendedListener`, `AccessibleTextEvent`

Constructor Summary
`AccessibleTextExtendedAdapter()`

Method Summary
`void` `addSelection(AccessibleTextEvent e)` Adds a text selection.
`void` `getCharacterCount(AccessibleTextEvent e)` Returns the total number of characters in the text.
`void` `getHyperlink(AccessibleTextEvent e)` Returns the specified hyperlink.
`void` `getHyperlinkCount(AccessibleTextEvent e)` Returns the number of links and link groups contained within this hypertext paragraph.
`void` `getHyperlinkIndex(AccessibleTextEvent e)` Returns the index of the hyperlink that is associated with this character offset.
`void` `getOffsetAtPoint(AccessibleTextEvent e)` Returns the offset of the character under the specified point.
`void` `getRanges(AccessibleTextEvent e)` Returns the text range(s) contained within the given bounding box.
`void` `getSelection(AccessibleTextEvent e)` Returns the character offsets of the specified text selection.
`void` `getSelectionCount(AccessibleTextEvent e)` Returns the number of active non-contiguous selections.
`void` `getText(AccessibleTextEvent e)` Returns a substring and its range for the given range, count and boundary type.
`void` `getTextBounds(AccessibleTextEvent e)` Returns the bounding box(es) of the specified text range in display coordinates.
`void` `getVisibleRanges(AccessibleTextEvent e)` Returns the visible text range(s).
`void` `removeSelection(AccessibleTextEvent e)` Deselects a range of text.
`void` `scrollText(AccessibleTextEvent e)` Scrolls a specific part of a substring according to the scroll type.
`void` `setCaretOffset(AccessibleTextEvent e)` Sets the position of the caret.
`void` `setSelection(AccessibleTextEvent e)` Changes the bounds of an existing selection.

Methods inherited from class org.eclipse.swt.accessibility.AccessibleTextAdapter
`getCaretOffset, getSelectionRange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.swt.accessibility.AccessibleTextListener
`getCaretOffset, getSelectionRange`

Constructor Detail

### AccessibleTextExtendedAdapter

    public AccessibleTextExtendedAdapter()

Method Detail

### addSelection

    public void addSelection(AccessibleTextEvent e)

  Adds a text selection.

  Specified by:
    `addSelection` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] start - the 0 based offset of the first character of the new selection
    - [in] end - the 0 based offset after the last character of the new selection
    - [out] result - set to `ACC.OK` if the text selection was added

### getCharacterCount

    public void getCharacterCount(AccessibleTextEvent e)

  Returns the total number of characters in the text.

  Specified by:
    `getCharacterCount` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [out] count - the total number of characters

### getHyperlinkCount

    public void getHyperlinkCount(AccessibleTextEvent e)

  Returns the number of links and link groups contained within this hypertext paragraph.

  Specified by:
    `getHyperlinkCount` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [out] count - the number of links and link groups within this hypertext paragraph, or 0 if there are none

### getHyperlink

    public void getHyperlink(AccessibleTextEvent e)

  Returns the specified hyperlink.

  Specified by:
    `getHyperlink` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] index - the 0 based index of the hyperlink to return
    - [out] accessible - the specified hyperlink object, or null if the index is invalid

### getHyperlinkIndex

    public void getHyperlinkIndex(AccessibleTextEvent e)

  Returns the index of the hyperlink that is associated with this character offset.

  This is the case when a link spans the given character index.

  Specified by:
    `getHyperlinkIndex` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] offset - the 0 based offset of the character for which to return the link index
    - [out] index - the 0 based index of the hyperlink that is associated with this character offset, or -1 if the offset is not in a link

### getOffsetAtPoint

    public void getOffsetAtPoint(AccessibleTextEvent e)

  Returns the offset of the character under the specified point.

  Specified by:
    `getOffsetAtPoint` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] x - the X value in display coordinates for which to look up the offset of the character that is rendered on the display at that point
    - [in] y - the position's Y value for which to look up the offset of the character that is rendered on the display at that point
    - [out] offset - the 0 based offset of the character under the given point, or -1 if the point is invalid or there is no character under the point

### getRanges

    public void getRanges(AccessibleTextEvent e)

  Returns the text range(s) contained within the given bounding box.

  Partially visible characters are included in the returned ranges.

  Specified by:
    `getRanges` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] x - the X coordinate of the top left corner of the bounding box, in display relative coordinates
    - [in] y - the Y coordinate of the top left corner of the bounding box, in display relative coordinates
    - [in] width - the width of the bounding box
    - [in] height - the height of the bounding box
    - [typical out] start - the 0 based offset of the first character of the substring in the bounding box
    - [typical out] end - the 0 based offset after the last character of the substring in the bounding box
    - [optional out] ranges - an array of pairs specifying the start and end offsets of each range, if the text range is clipped by the bounding box

### getSelection

    public void getSelection(AccessibleTextEvent e)

  Returns the character offsets of the specified text selection.

  Specified by:
    `getSelection` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] index - the 0 based index of the selection
    - [out] start - the 0 based offset of first selected character
    - [out] end - the 0 based offset after the last selected character

### getSelectionCount

    public void getSelectionCount(AccessibleTextEvent e)

  Returns the number of active non-contiguous selections.

  Specified by:
    `getSelectionCount` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [out] count - the number of active non-contiguous selections

### getText

    public void getText(AccessibleTextEvent e)

  Returns a substring and its range for the given range, count and boundary type.

  Returns the substring of the specified boundary type that is located count positions from the given character range. Also returns the start and end offsets of the returned substring.

  For example, if the boundary type is TEXT_BOUNDARY_WORD, then the complete word that is located count words from the specified range is returned. If count is negative, then return the word that is count words before start. If count is positive, then return the word that is count words after end. If count is zero, start and end are the same, so return the word at start.

  The whole text can be requested by passing start == 0 and end == getCharacterCount, TEXT_BOUNDARY_ALL, and 0 for count. Alternatively the whole text can be requested by calling AccessibleControlListener.getValue().

  If start and end are valid, but no suitable word (or other boundary type) is found, the returned string is null and the returned range is degenerate (start == end).

  Specified by:
    `getText` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] type - the boundary type of the substring to return. One of:
      - `ACC.TEXT_BOUNDARY_CHAR`
      - `ACC.TEXT_BOUNDARY_WORD`
      - `ACC.TEXT_BOUNDARY_SENTENCE`
      - `ACC.TEXT_BOUNDARY_PARAGRAPH`
      - `ACC.TEXT_BOUNDARY_LINE`
      - `ACC.TEXT_BOUNDARY_ALL`
    - [in,out] start - the 0 based offset of first character of the substring
    - [in,out] end - the 0 based offset after the last character of the substring
    - [in,out] count - the number of boundary type units to move to find the substring:
      - in - look count units before start if count < 0, or after end if count > 0. Look at start if count == 0
      - out - the actual number of boundary type units that were moved. This may be fewer than the input count
    - [out] result - the requested substring. This may be empty or null when no appropriate substring is found, or if the type is invalid.

### getTextBounds

    public void getTextBounds(AccessibleTextEvent e)

  Returns the bounding box(es) of the specified text range in display coordinates.

  Typically, the text range will represent a single character, i.e. end - start = 1, therefore providers should optimize for this case.

  Note: The virtual character after the last character of the represented text, i.e. the one at offset getCharacterCount, is a special case. It represents the current input position and will therefore typically be queried by AT more often than other positions. Because it does not represent an existing character its bounding box is defined in relation to preceding characters. It should be roughly equivalent to the bounding box of some character when inserted at the end of the text; its height typically being the maximal height of all the characters in the text or the height of the preceding character, its width being at least one pixel so that the bounding box is not degenerate.

  Specified by:
    `getTextBounds` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] start - the 0 based offset of the first character of the substring in the bounding box
    - [in] end - the 0 based offset after the last character of the substring in the bounding box
    - [typical out] x - the X coordinate of the top left corner of the bounding box of the specified substring
    - [typical out] y - the Y coordinate of the top left corner of the bounding box of the specified substring
    - [typical out] width - the width of the bounding box of the specified substring
    - [typical out] height - the height of the bounding box of the specified substring
    - [optional out] rectangles - a set of disjoint bounding rectangles, if the specified text range includes partial lines

### getVisibleRanges

    public void getVisibleRanges(AccessibleTextEvent e)

  Returns the visible text range(s).

  Partially visible characters are included in the returned ranges.

  Specified by:
    `getVisibleRanges` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [typical out] start - the 0 based offset of the first character of the visible substring
    - [typical out] end - the 0 based offset after the last character of the visible substring
    - [optional out] ranges - an array of pairs specifying the start and end offsets of each range, if the visible text range is clipped

### removeSelection

    public void removeSelection(AccessibleTextEvent e)

  Deselects a range of text.

  Specified by:
    `removeSelection` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] index - the 0 based index of selection to remove
    - [out] result - set to `ACC.OK` if the range of text was deselected

### scrollText

    public void scrollText(AccessibleTextEvent e)

  Scrolls a specific part of a substring according to the scroll type.

  Specified by:
    `scrollText` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] start - the 0 based offset of the first character of the substring
    - [in] end - the 0 based offset after the last character of the substring
    - [in] type - a scroll type indicating where the substring should be placed on the screen. One of:
      - `ACC.SCROLL_TYPE_TOP_LEFT`
      - `ACC.SCROLL_TYPE_BOTTOM_RIGHT`
      - `ACC.SCROLL_TYPE_TOP_EDGE`
      - `ACC.SCROLL_TYPE_BOTTOM_EDGE`
      - `ACC.SCROLL_TYPE_LEFT_EDGE`
      - `ACC.SCROLL_TYPE_RIGHT_EDGE`
      - `ACC.SCROLL_TYPE_ANYWHERE`
      - `ACC.SCROLL_TYPE_POINT`
    - [optional in] x - for SCROLL_TYPE_POINT, the X coordinate of the destination point in display coordinates
    - [optional in] y - for SCROLL_TYPE_POINT, the Y coordinate of the destination point in display coordinates
    - [out] result - set to `ACC.OK` if the text was scrolled

### setCaretOffset

    public void setCaretOffset(AccessibleTextEvent e)

  Sets the position of the caret.

  The caret position is that of the character logically following it, e.g. to the right of it in a left to right language. The caret is actually placed to the leading side of the character with that offset. An offset of 0 places the caret so that the next insertion goes before the first character. An offset of getCharacterCount places the caret so that the next insertion goes after the last character.

  Setting the caret position may or may not alter the current selection. A change of the selection is notified to the accessibility event listeners with an EVENT_TEXT_SELECTION_CHANGED event.

  When the new caret position differs from the old one, this is notified to the accessibility event listeners with an EVENT_TEXT_CARET_MOVED event.

  Specified by:
    `setCaretOffset` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] offset - the new offset of the caret
    - [out] result - set to `ACC.OK` if the caret position was set

### setSelection

    public void setSelection(AccessibleTextEvent e)

  Changes the bounds of an existing selection.

  Specified by:
    `setSelection` in interface `AccessibleTextExtendedListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in] index - the 0 based index of the selection to change
    - [in] start - the new 0 based offset of the first character of the selection
    - [in] end - the new 0 based offset after the last character of the selection
    - [out] result - set to `ACC.OK` if the selection was set

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.